(defproblem problem domain 
  (
    (capacity-predecessor capacity-0 capacity-1)
    (capacity-predecessor capacity-1 capacity-2)
    (road city-loc-0 city-loc-0)
    (road city-loc-0 city-loc-4)
    (road city-loc-1 city-loc-1)
    (road city-loc-1 city-loc-2)
    (road city-loc-1 city-loc-3)
    (road city-loc-1 city-loc-4)
    (road city-loc-2 city-loc-1)
    (road city-loc-2 city-loc-3)
    (road city-loc-3 city-loc-1)
    (road city-loc-3 city-loc-2)
    (road city-loc-4 city-loc-0)
    (road city-loc-4 city-loc-1)
    (at package-0 city-loc-3)
    (at package-1 city-loc-1)
    (at package-2 city-loc-3)
    (at package-3 city-loc-1)
    (at truck-0 city-loc-1)
    (at truck-1 city-loc-1)
    (capacity truck-0 capacity-2)
    (capacity truck-1 capacity-2)
    (type-capacity-number capacity-0)
    (type-capacity-number capacity-1)
    (type-capacity-number capacity-2)
    (type-locatable package-0)
    (type-locatable package-1)
    (type-locatable package-2)
    (type-locatable package-3)
    (type-locatable truck-0)
    (type-locatable truck-1)
    (type-location city-loc-0)
    (type-location city-loc-1)
    (type-location city-loc-2)
    (type-location city-loc-3)
    (type-location city-loc-4)
    (type-object capacity-0)
    (type-object capacity-1)
    (type-object capacity-2)
    (type-object city-loc-0)
    (type-object city-loc-1)
    (type-object city-loc-2)
    (type-object city-loc-3)
    (type-object city-loc-4)
    (type-object package-0)
    (type-object package-1)
    (type-object package-2)
    (type-object package-3)
    (type-object truck-0)
    (type-object truck-1)
    (type-package package-0)
    (type-package package-1)
    (type-package package-2)
    (type-package package-3)
    (type-sort-for-capacity-0 capacity-0)
    (type-sort-for-capacity-1 capacity-1)
    (type-sort-for-capacity-2 capacity-2)
    (type-sort-for-city-loc-0 city-loc-0)
    (type-sort-for-city-loc-1 city-loc-1)
    (type-sort-for-city-loc-2 city-loc-2)
    (type-sort-for-city-loc-3 city-loc-3)
    (type-sort-for-city-loc-4 city-loc-4)
    (type-sort-for-package-0 package-0)
    (type-sort-for-package-1 package-1)
    (type-sort-for-package-2 package-2)
    (type-sort-for-package-3 package-3)
    (type-sort-for-truck-0 truck-0)
    (type-sort-for-truck-1 truck-1)
    (type-vehicle truck-0)
    (type-vehicle truck-1)
  )
  ((x--top))
)
